#ifndef _DB_UTILS_H_
#define _DB_UTILS_H_

#include <glib.h>
#include <sqlite3.h>


sqlite3* box_db_open(const gchar *path);
void box_db_close(sqlite3 *db);

void box_db_create_empty(sqlite3 *db);
void box_db_transaction_begin(sqlite3 *db);
void box_db_transaction_end(sqlite3 *db);
void box_db_transaction_rollback(sqlite3 *db);

int box_db_execute_simple_query_get_int(sqlite3 *db, const gchar *sql );
gchar* box_db_execute_simple_query_get_string(sqlite3 *db, const gchar *sql );
GList* box_db_execute_simple_query_get_string_list(sqlite3 *db, const gchar *sql );
void box_db_show_exec_error(sqlite3 *db, char **errmsg);
void box_db_execute_simple(sqlite3 *db, const gchar *sql);

#endif
