#ifndef _BOX_H_
#define _BOX_H_

#include <glib.h>
#include <sqlite3.h>

#define _DEFAULT_DB_FILE PACKAGE_LOCALSTATEDIR"/lib/box/database"
#define _DEFAULT_DB_DIR PACKAGE_LOCALSTATEDIR"/lib/box/"
#define _DEFAULT_REPOS_FILE PACKAGE_SYSCONFDIR"/box/box-repos.conf"

typedef void(*progressFunc)(int, void*);

gboolean box_package_install(const gchar *package, const gchar *dest_dir, progressFunc progress, gpointer user_data, gboolean no_deps);
gboolean box_package_uninstall(const gchar *package_name, const gchar *dest_dir, progressFunc progress, gpointer user_data, gboolean force);
gboolean box_upgrade_dist(const gchar *dest_dir, progressFunc progress, gpointer user_data);
gboolean box_package_install_factory(const gchar *filename, const gchar *dest_dir, progressFunc progress, gpointer user_data);

gchar *box_get_repos_conf();
gchar *box_get_db_dir();
gchar *box_get_db_file();

gchar* box_glist_join_printf(GList *list, const gchar *join, const char *printf_str);

const gchar* box_get_repos_dir(const gchar *dest_dir);

void box_run_scripts(const gchar* dest_dir, gint script_type, gboolean run_new);

#endif
